apiVersion: instancetype.kubevirt.io/v1beta1
kind: VirtualMachineClusterInstancetype
metadata:
  annotations:
    instancetype.kubevirt.io/description: "The CX Series provides exclusive compute
      resources for compute\nintensive applications.\n\n*CX* is the abbreviation of
      \"Compute Exclusive\".\n\nThe exclusive resources are given to the compute threads
      of the\nVM. In order to ensure this, some additional cores (depending\non the
      number of disks and NICs) will be requested to offload\nthe IO threading from
      cores dedicated to the workload.\nIn addition, in this series, the NUMA topology
      of the used\ncores is provided to the VM.\n\nThe amount of spec.cpu.maxSockets
      is set to the same as\nguest cpus. This avoids KubeVirt's default behavior of
      \nproviding extra CPUs hotplugging, which can exceed the \namount of available
      CPUs on a node and cause the VM to fail.\n\nRequirements for CX series instance
      types:\n- CPU manager has to be enabled.\n- Huge pages have to be available
      on the nodes."
    instancetype.kubevirt.io/displayName: Compute Exclusive
    kubectl.kubernetes.io/last-applied-configuration: |
      {"apiVersion":"instancetype.kubevirt.io/v1beta1","kind":"VirtualMachineClusterInstancetype","metadata":{"annotations":{"instancetype.kubevirt.io/description":"The CX Series provides exclusive compute resources for compute\nintensive applications.\n\n*CX* is the abbreviation of \"Compute Exclusive\".\n\nThe exclusive resources are given to the compute threads of the\nVM. In order to ensure this, some additional cores (depending\non the number of disks and NICs) will be requested to offload\nthe IO threading from cores dedicated to the workload.\nIn addition, in this series, the NUMA topology of the used\ncores is provided to the VM.\n\nThe amount of spec.cpu.maxSockets is set to the same as\nguest cpus. This avoids KubeVirt's default behavior of \nproviding extra CPUs hotplugging, which can exceed the \namount of available CPUs on a node and cause the VM to fail.\n\nRequirements for CX series instance types:\n- CPU manager has to be enabled.\n- Huge pages have to be available on the nodes.","instancetype.kubevirt.io/displayName":"Compute Exclusive"},"labels":{"instancetype.kubevirt.io/cpu":"10","instancetype.kubevirt.io/dedicatedCPUPlacement":"true","instancetype.kubevirt.io/hugepages":"1Gi","instancetype.kubevirt.io/isolateEmulatorThread":"true","instancetype.kubevirt.io/memory":"2Gi","instancetype.kubevirt.io/numa":"true"},"name":"a"},"spec":{"cpu":{"dedicatedCPUPlacement":true,"guest":10,"isolateEmulatorThread":true,"maxSockets":10,"numa":{"guestMappingPassthrough":{}}},"ioThreadsPolicy":"auto","memory":{"guest":"1Gi","hugepages":{"pageSize":"1Gi"}}}}
  creationTimestamp: "2025-09-29T13:17:52Z"
  generation: 7
  labels:
    instancetype.kubevirt.io/cpu: "10"
    instancetype.kubevirt.io/dedicatedCPUPlacement: "true"
    instancetype.kubevirt.io/hugepages: 1Gi
    instancetype.kubevirt.io/isolateEmulatorThread: "true"
    instancetype.kubevirt.io/memory: 2Gi
    instancetype.kubevirt.io/numa: "true"
  name: a
  resourceVersion: "24430223"
  uid: 9047950b-4183-4636-b0f9-6cdba9b06553
spec:
  cpu:
    dedicatedCPUPlacement: true
    guest: 10
    isolateEmulatorThread: true
    maxSockets: 10
    numa:
      guestMappingPassthrough: {}
  ioThreadsPolicy: auto
  memory:
    guest: 2Gi
    hugepages:
      pageSize: 1Gi